/* 
 * AppController.h created by phr on 2000-08-27 11:38:59 +0000
 *
 * GNUstep Application Controller
 *
 * Created with ProjectCenter - http://www.gnustep.org
 *
 * $Id: AppController.h,v 1.4 2003/06/09 08:11:17 cehardin Exp $
 */
 
#ifndef _PCAPPPROJ_APPCONTROLLER_H
#define _PCAPPPROJ_APPCONTROLLER_H

#include <AppKit/AppKit.h>
#include "Dock.h"

@interface AppController : NSObject
{
    Dock *dock; //a matrix of DockTiles (NSActionCells)
    NSWindow *window;
    NSWorkspace *workspace;
}

+ (void)initialize;

- (id)init;

- (void)dealloc;

- (void) workspaceNotification:(NSNotification*) notification;

- (void)awakeFromNib;

- (void)makeWindow;

- (void)applicationDidFinishLaunching:(NSNotification *)notif;

- (BOOL)applicationShouldTerminate:(id)sender;
- (void)applicationWillTerminate:(NSNotification *)notification;

- (BOOL)application:(NSApplication *)application openFile:(NSString *)fileName;

- (void)showPrefPanel:(id)sender;
- (void)showInfoPanel:(id)sender;

- (void)workspaceObserver:(id) sender;

- (void)addRunningAppTiles;
@end

#endif
